Package org.kapott.hbci.tools

## Class ConvertRDHPassport

- java.lang.Object
- - org.kapott.hbci.tools.ConvertRDHPassport

    public class ConvertRDHPassport
    extends java.lang.Object

Tool zum Konvertieren von "alten" RDH-Passport-Dateien in "neue" RDHNew-Dateien. Die Passport-Variante "`RDH`" sollte ab sofort nicht mehr benutzt werden, sondern statt dessen die Variante "`RDHNew`". Siehe dazu auch die Datei `README.RDHNew` im HBCI4Java-Archiv.

Die Konvertierung von RDH-Passports in RDHNew-Passports kann auch mit dem separat verfügbaren HBCI4Java Passport Editor durchgeführt werden. Mit diesem Editor können darüber hinaus RDHNew-Passports auch wieder in RDH-Passports konvertiert werden.

Bei der `RDHNew`-Variante hat sich im Vergleich zu `RDH` das Dateiformat der Schlüsseldateien geändert. Deshalb muss vor Verwendung einer alten `RDH`-Schlüsseldatei diese erst in das neue Dateiformat konvertiert werden. Das geschieht mit diesem Tool. Vor dessen Anwendung sollte sicherheithalber ein Backup der aktuellen (alten) RDH-Schlüsseldatei angelegt werden (das sollte aber sowieso vorhanden sein!).

Aufgerufen wird der Konverter mit

    java -cp ... org.kapott.hbci.tools.ConvertRDHPassport

Es handelt sich um ein interaktives Programm. Nach dem Start wird nach dem Dateinamen einer existierenden RDH-Passport-Datei sowie nach dem Passwort für deren Entschlüsselung gefragt. Anschließend wird nach einem neuen(!) Dateinamen für die zu erstellende RDHNew-Passport-Datei sowie nach einem Passwort für deren Verschlüsselung gefragt. Nach Beendigung des Programmes existiert die RDHNew-Passport-Datei, welche ab sofort benutzt werden kann.

Um eine RDHNew-Passport-Datei zu benutzen, müssen alle HBCI-Parameter, die vorher mit "`client.passport.RDH.*`" gesetzt wurden, jetzt mit "`client.passport.RDHNew.*`" gesetzt werden, und als "`client.passport.default`" bzw. als Argument zu `AbstractHBCIPassport.getInstance(String)` muss "`RDHNew`" angegeben werden.

Die alte Passport-Datei sollte ab sofort nicht mehr verwendet werden.

### Constructor Summary

Constructors
`ConvertRDHPassport()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `main​(java.lang.String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConvertRDHPassport

    public ConvertRDHPassport()

### Method Detail

#### main

    public static void main​(java.lang.String[] args)
                     throws java.io.IOException

Throws:
  `java.io.IOException`